Get Generation
curl --request GET \
--url https://api.peachdeskai.com/api/v1/voice/history/{generation_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.peachdeskai.com/api/v1/voice/history/{generation_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.peachdeskai.com/api/v1/voice/history/{generation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/voice/history/{generation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/voice/history/{generation_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.peachdeskai.com/api/v1/voice/history/{generation_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/voice/history/{generation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"profile_id": "<string>",
"profile_name": "<string>",
"text": "<string>",
"language": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"audio_path": "<string>",
"duration": 123,
"seed": 123,
"instruct": "<string>",
"engine": "vaani",
"model_size": "<string>",
"status": "completed",
"error": "<string>",
"is_favorited": false,
"versions": [
{
"id": "<string>",
"generation_id": "<string>",
"label": "<string>",
"audio_path": "<string>",
"is_default": true,
"created_at": "2023-11-07T05:31:56Z",
"effects_chain": [
{
"type": "<string>",
"enabled": true,
"params": {}
}
],
"source_version_id": "<string>"
}
],
"active_version_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Generation History
Get Generation
Get a generation by ID.
GET
/
history
/
{generation_id}
Get Generation
curl --request GET \
--url https://api.peachdeskai.com/api/v1/voice/history/{generation_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.peachdeskai.com/api/v1/voice/history/{generation_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.peachdeskai.com/api/v1/voice/history/{generation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/voice/history/{generation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/voice/history/{generation_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.peachdeskai.com/api/v1/voice/history/{generation_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/voice/history/{generation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"profile_id": "<string>",
"profile_name": "<string>",
"text": "<string>",
"language": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"audio_path": "<string>",
"duration": 123,
"seed": 123,
"instruct": "<string>",
"engine": "vaani",
"model_size": "<string>",
"status": "completed",
"error": "<string>",
"is_favorited": false,
"versions": [
{
"id": "<string>",
"generation_id": "<string>",
"label": "<string>",
"audio_path": "<string>",
"is_default": true,
"created_at": "2023-11-07T05:31:56Z",
"effects_chain": [
{
"type": "<string>",
"enabled": true,
"params": {}
}
],
"source_version_id": "<string>"
}
],
"active_version_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get a generation by ID.
GET /api/voice/history/{generation_id}
All requests authenticate with your PeachDesk API key in the X-API-Key header (an interactive session token in Authorization: Bearer also works тАФ see Authentication). Use the playground to send a live request and inspect the response.Authorizations
ApiKeyAuthSessionAuth
Organization API key (bibha_...). Takes precedence over the session credential, and is refused outright on user-session-only and super-admin routes.
Path Parameters
Response
Successful Response
Response model for history entry (includes profile name).
Show child attributes
Show child attributes

